KNIFE-TAG(1)

NAME
knife-tag - The man page for the knife tag subcommand.

A tag is a custom description that is applied to a node. A tag, once applied, can be helpful when managing nodes using Knife or when building recipes by providing alternate methods of grouping similar types of information.

The knife tag subcommand is used to apply tags to nodes on a server.

COMMON OPTIONS

The following options may be used with any of the arguments available to the knife tag subcommand:

--chef-zero-port PORT
    The port on which chef-zero will listen.

-c CONFIG_FILE, --config CONFIG_FILE
    The configuration file to use.

-d, --disable-editing
    Indicates that $EDITOR will not be opened; data will be accepted as-is.

--defaults
    Indicates that Knife will use the default value, instead of asking a user to provide one.

-e EDITOR, --editor EDITOR
    The $EDITOR that is used for all interactive commands.

-E ENVIRONMENT, --environment ENVIRONMENT
    The name of the environment. When this option is added to a command, the command will run only against the named environment.

-F FORMAT, --format FORMAT
    The output format: summary (default), text, json, yaml, and pp.

-h, --help
    Shows help for the command.

-k KEY, --key KEY
    The private key that Knife will use to sign requests made by the API client to the server.

--[no-]color
    Indicates whether colored output will be used.

--print-after
    Indicates that data will be shown after a destructive operation.

-s URL, --server-url URL
    The URL for the server.

-u USER, --user USER
    The user name used by Knife to sign requests made by the API client to the server. Authentication will fail if the user name does not match the private key.

-V, --verbose
    Set for more verbose outputs. Use -VV for maximum verbosity.

-v, --version
    The version of the chef-client.

-y, --yes
    Indicates that the response to all confirmation prompts will be "Yes" (and that Knife will not ask for confirmation).

-z, --local-mode
    Indicates that the chef-client will be run in local mode, which allows all commands that work against the server to also work against the local chef-repo.

CREATE

The create argument is used to add one or more tags to a node.

Syntax

This argument has the following syntax:

$ knife tag create NODE_NAME [TAG...]

Options

This command does not have any specific options.

Examples

To create tags named "seattle", "portland", and "vancouver", enter:

$ knife tag create node seattle portland vancouver

DELETE

The delete argument is used to delete one or more tags from a node.

Syntax

This argument has the following syntax:

$ knife tag delete NODE_NAME [TAG...]

Options

This command does not have any specific options.

Examples

To delete tags named "denver" and "phoenix", enter:

$ knife tag delete node denver phoenix

Type Y to confirm a deletion.

LIST

The list argument is used to list all of the tags that have been applied to a node.

Syntax

This argument has the following syntax:

$ knife tag list [NODE_NAME...]

Options

This command does not have any specific options.

AUTHOR
Chef